import request from '@/utils/request'

// 查询LineSymbolBlack列表
export function listLineSymbolBlack(query) {
    return request({
        url: '/api/v1/line-symbol-black',
        method: 'get',
        params: query
    })
}

// 查询LineSymbolBlack详细
export function getLineSymbolBlack (id) {
    return request({
        url: '/api/v1/line-symbol-black/' + id,
        method: 'get'
    })
}


// 新增LineSymbolBlack
export function addLineSymbolBlack(data) {
    return request({
        url: '/api/v1/line-symbol-black',
        method: 'post',
        data: data
    })
}

// 修改LineSymbolBlack
export function updateLineSymbolBlack(data) {
    return request({
        url: '/api/v1/line-symbol-black/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineSymbolBlack
export function delLineSymbolBlack(data) {
    return request({
        url: '/api/v1/line-symbol-black',
        method: 'delete',
        data: data
    })
}

